# Loki::MutexException Class Reference

`#include <LevelMutex.h>`

List of all members.

## Public Member Functions

| MutexException (const char *message, unsigned int level, MutexErrors::Type reason)
| MutexException (const MutexException &that) throw ()
| Copy constructor performs a member-by-member copy of an exception.
MutexException & | operator= (const MutexException &that) throw ()
| Copy-assignment operator performs a member-by-member copy of an exception.
virtual | ~MutexException (void) throw ()
| Destroys the exception.
virtual const char * | what (void) const throw ()
| Returns a simple message about which operation failed.
unsigned int | GetLevel (void) const
| Returns level of mutex(es) used when problem occurred.
MutexErrors::Type | GetReason (void) const
| Returns an error status for why operation failed.

## Detailed Description

Exception class used to throw error statuses about LevelMutex's up to code that can respond to mutex problems. This class exists because it conveys more info about the error condition than just std::exception.

## Constructor & Destructor Documentation

Loki::MutexException::MutexException | ( | const char * | message,
|  | unsigned int | level,
|  | MutexErrors::Type | reason |
| ) |  |  |

Constructs an exception which stores information about a mutex and the reason an attempt to use a mutex failed.

The documentation for this class was generated from the following files:

- LevelMutex.h
- LevelMutex.cpp